PVE 6 升級到 7 紀錄

實際採用 PEV 6 與 PVE 7 兩組 Cluster 並存的模式移轉運行, 處理紀錄請參考 安裝 PVE 7 與移轉 PVE 6 VM/CT 執行紀錄

依照官方的 wiki 說明升級程序, 似乎不太困難, 因此將實際的升級程序操作紀錄在底下

  1. 將現在 PVE 6 所有主機都先生級到最新版本 Exp. 6.4-13 (有更新到 linux-kernel 需要重開機)
  2. 有同時安裝 PBS(Proxmox Backup Server)需要先將 PBS 升級到 2.x 參考 [draft]PBS 1 升級到 2 紀錄
  3. 確定可以穩定存取每一台的參數檔儲存區 (萬一有異常可以直接進去手動修改)
  4. 確定目前的 Cluster 是健康穩定狀態
  5. 驗證與測試所有 VM 與 CT 的備份都是正確 (萬一出現災難還有降災還原的機會)
  6. 確定是正確升級存儲庫的配置
  7. 根目錄至少要有 4GB 的磁碟空間
  1. 所有主機都執行升級檢測工具

    pve6to7 --full

    如果有使用 CT 裡面是 CentOS7/Ubuntu16 .. 會出現這個警告

    WARN: Found at least one CT (103) which does not support running in a unified cgroup v2 layout.
        Either upgrade the Container distro or set systemd.unified_cgroup_hierarchy=0 in the Proxmox VE hosts' kernel cmdline! Skipping further CT compat checks.
  2. 將所有 VM/CT 移到其他主機
  3. 避免升級 PVE 7 後會更變 Bridge 的 MAC , 所以如果之前已安裝 ifupdown2 這 PVE 7 採用的方式來進行網路設定, 就直接執行

    ifreload -a

    , 否則需要在 /etc/network/interfaces 內針對 vmbr0 … 進行指定現有的 MAC , Exp.

    :
    auto vmbr0
    iface vmbr0 inet static
        address 192.168.X.Y/24
        hwaddress aa:bb:cc:12:34
        # ... remaining options

  4. 更新 apt repo 設定

    apt update
    apt dist-upgrade
    sed -i 's/buster\/updates/bullseye-security/g;s/buster/bullseye/g' /etc/apt/sources.list

  5. 進行 Debian Bullseye 與 PVE 7 更新

    apt update
    apt dist-upgrade

    出現

    Fetched 480 MB in 29s (16.7 MB/s)
    W: (pve-apt-hook) !! ATTENTION !!
    W: (pve-apt-hook) You are attempting to upgrade from proxmox-ve '6.4-1' to proxmox-ve '7.1-1'. Please make sure to read the Upgrade notes at
    W: (pve-apt-hook)       https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0
    W: (pve-apt-hook) before proceeding with this operation.
    W: (pve-apt-hook)
    W: (pve-apt-hook) Press enter to continue, or C^c to abort.

    需要按下[Enter]才會繼續更新, 接著出現

    apt-listchanges: News
    ---------------------
    
    apt (2.1.16) unstable; urgency=medium
    
    :
    :

    要輸入 q 才會繼續更新, 出現

    Configuration file '/etc/issue'
     ==> Modified (by you or by a script) since installation.
     ==> Package distributor has shipped an updated version.
       What would you like to do about it ?  Your options are:
        Y or I  : install the package maintainer's version
        N or O  : keep your currently-installed version
          D     : show the differences between the versions
          Z     : start a shell to examine the situation
     The default action is to keep your current version.
    *** issue (Y/I/N/O/D/Z) [default=N] ?

    可按下[Enter]繼續更新, 在來會彈出一個藍色視窗問

     Restart services during package upgrades without asking?

    可選 <Yes>這樣更版過程就不會一直彈出重啟服務要你確認的訊息, 接著可能會出現

    Configuration file '/etc/sysctl.conf'
     ==> Modified (by you or by a script) since installation.
     ==> Package distributor has shipped an updated version.
       What would you like to do about it ?  Your options are:
        Y or I  : install the package maintainer's version
        N or O  : keep your currently-installed version
          D     : show the differences between the versions
          Z     : start a shell to examine the situation
     The default action is to keep your current version.
    *** sysctl.conf (Y/I/N/O/D/Z) [default=N] ? Y

    可按下Y + [Enter]繼續更新, 再來會彈出一個藍色視窗問

    What do you want to do about modified configuration file sshd_config? 

    可選keep the local version currently installed

  6. 重新開機就會 PVE 7.x
  • tech/pve6to7.txt
  • 上一次變更: 2022/01/24 16:30
  • jonathan